@mixin app-impersonate-theme($theme) {
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $accent: map-get($theme, accent);

  $font-size: 0.9em;

  app-impersonate {
    width: 100%;
    padding: 5px;
    overflow-x: hidden;
  }

  .impersonate-content {
    flex: 1 0 auto;
    margin-top: 65px;
    padding: 20px;
    background: mat-color($primary, 50);

    .impersonate-card {
      width: 50%;
      // height: 200px;
      margin: 0 auto !important;
      margin-top: 10px;
      padding: 10px;

      .mat-card-header {
        justify-content: center;
      }

      .mat-card-content {
        padding-top: 15px;
        margin-bottom: 0;
        .mat-form-field {
            width: 100%;
        }

      }

      .mat-card-footer {
        padding: 10px;
        padding-right: 15px;
        padding-bottom: 15px;
      }
    }
  }
}